ray.serve.schema.ServeInstanceDetails#

pydantic model ray.serve.schema.ServeInstanceDetails[source]#

Serve metadata with system-level info and details on all applications deployed to the Ray cluster.

This is the response JSON schema for v2 REST API GET /api/serve/applications.

field applications: Dict[str, ApplicationDetails] [Required]#

Details about all live applications running on the cluster.

field controller_info: ServeActorDetails [Optional]#

Details about the Serve controller actor.

field deploy_mode: ServeDeployMode = ServeDeployMode.MULTI_APP#

[DEPRECATED]: single-app configs are removed, so this is always MULTI_APP. This field will be removed in a future release.

field grpc_options: gRPCOptionsSchema | None = None#

gRPC Proxy options.

field http_options: HTTPOptionsSchema | None = None#

HTTP Proxy options.

field proxies: Dict[str, ProxyDetails] [Required]#

Mapping from node_id to details about the Proxy running on that node.

field proxy_location: ProxyLocation | None = None#

Config for where to run proxies for ingress traffic to the cluster. - “Disabled”: disable the proxies entirely. - “HeadOnly”: run only one proxy on the head node. - “EveryNode”: run proxies on every node that has at least one replica.

field target_capacity: float | None = None#

[EXPERIMENTAL]: the target capacity percentage for all replicas across the cluster. The num_replicas, min_replicas, max_replicas, and initial_replicas for each deployment will be scaled by this percentage.

Constraints:
  • ge = 0

  • le = 100

field target_groups: List[TargetGroup] [Optional]#

List of target groups, each containing target info for a given route and protocol.

static get_empty_schema_dict() Dict[source]#

Empty Serve instance details dictionary.

Represents no Serve instance running on the cluster.